| Apache Ignite C++

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
ignite::IgniteError Class Reference

Ignite error information. More...

`#include <ignite_error.h>`

Inheritance diagram for ignite::IgniteError:

## Public Member Functions
| IgniteError ()
| Default constructor. More...
| IgniteError (const int32_t code)
| Create error with specific code. More...
| IgniteError (const int32_t code, const char *msg)
| Create error with specific code and message. More...
| IgniteError (const IgniteError &other)
| Copy constructor. More...
IgniteError & | operator= (const IgniteError &other)
| Assignment operator. More...
| ~IgniteError () IGNITE_NO_THROW
| Destructor.
int32_t | GetCode () const
| Get error code. More...
const char * | GetText () const IGNITE_NO_THROW
| Get error message. More...
virtual const char * | what () const IGNITE_NO_THROW
| Implementation of the standard std::exception::what() method. More...

## Static Public Member Functions
static void | ThrowIfNeeded (const IgniteError &err)
| Throw an error if code is not IGNITE_SUCCESS. More...
static void | SetError (const int jniCode, const char *jniCls, const char *jniMsg, IgniteError &err)
| Initializes IgniteError instance from the JNI error. More...

## Static Public Attributes
static const int | IGNITE_SUCCESS = 0
| Success. More...
static const int | IGNITE_ERR_JVM_INIT = 1
| Failed to initialize JVM. More...
static const int | IGNITE_ERR_JVM_ATTACH = 2
| Failed to attach to JVM. More...
static const int | IGNITE_ERR_JVM_LIB_NOT_FOUND = 3
| JVM library is not found. More...
static const int | IGNITE_ERR_JVM_LIB_LOAD_FAILED = 4
| Failed to load JVM library. More...
static const int | IGNITE_ERR_JVM_NO_CLASSPATH = 5
| JVM classpath is not provided. More...
static const int | IGNITE_ERR_JVM_NO_CLASS_DEF_FOUND = 6
| JVM error: no class definition found. More...
static const int | IGNITE_ERR_JVM_NO_SUCH_METHOD = 7
| JVM error: no such method. More...
static const int | IGNITE_ERR_MEMORY = 1001
| Memory operation error. More...
static const int | IGNITE_ERR_BINARY = 1002
| Binary error. More...
static const int | IGNITE_ERR_STD = 1003
| Standard library exception. More...
static const int | IGNITE_ERR_GENERIC = 2000
| Generic Ignite error. More...
static const int | IGNITE_ERR_ILLEGAL_ARGUMENT = 2001
| Illegal argument passed. More...
static const int | IGNITE_ERR_ILLEGAL_STATE = 2002
| Illegal state. More...
static const int | IGNITE_ERR_UNSUPPORTED_OPERATION = 2003
| Unsupported operation. More...
static const int | IGNITE_ERR_INTERRUPTED = 2004
| Thread has been interrup. More...
static const int | IGNITE_ERR_CLUSTER_GROUP_EMPTY = 2005
| Cluster group is empty. More...
static const int | IGNITE_ERR_CLUSTER_TOPOLOGY = 2006
| Cluster topology problem. More...
static const int | IGNITE_ERR_COMPUTE_EXECUTION_REJECTED = 2007
| Compute execution rejected. More...
static const int | IGNITE_ERR_COMPUTE_JOB_FAILOVER = 2008
| Compute job failover. More...
static const int | IGNITE_ERR_COMPUTE_TASK_CANCELLED = 2009
| Compute task cancelled. More...
static const int | IGNITE_ERR_COMPUTE_TASK_TIMEOUT = 2010
| Compute task timeout. More...
static const int | IGNITE_ERR_COMPUTE_USER_UNDECLARED_EXCEPTION = 2011
| Compute user undeclared exception. More...
static const int | IGNITE_ERR_CACHE = 2012
| Generic cache error. More...
static const int | IGNITE_ERR_CACHE_LOADER = 2013
| Generic cache loader error. More...
static const int | IGNITE_ERR_CACHE_WRITER = 2014
| Generic cache writer error. More...
static const int | IGNITE_ERR_ENTRY_PROCESSOR = 2015
| Generic cache entry processor error. More...
static const int | IGNITE_ERR_CACHE_ATOMIC_UPDATE_TIMEOUT = 2016
| Cache atomic update timeout. More...
static const int | IGNITE_ERR_CACHE_PARTIAL_UPDATE = 2017
| Cache partial update. More...
static const int | IGNITE_ERR_TX_OPTIMISTIC = 2018
| Transaction optimisitc exception. More...
static const int | IGNITE_ERR_TX_TIMEOUT = 2019
| Transaction timeout. More...
static const int | IGNITE_ERR_TX_ROLLBACK = 2020
| Transaction rollback. More...
static const int | IGNITE_ERR_TX_HEURISTIC = 2021
| Transaction heuristic exception. More...
static const int | IGNITE_ERR_AUTHENTICATION = 2022
| Authentication error. More...
static const int | IGNITE_ERR_SECURITY = 2023
| Security error. More...
static const int | IGNITE_ERR_FUTURE_STATE = 2024
| Future state error. More...
static const int | IGNITE_ERR_NETWORK_FAILURE = 2025
| Networking error. More...
static const int | IGNITE_ERR_SECURE_CONNECTION_FAILURE = 2026
| SSL/TLS error. More...
static const int | IGNITE_ERR_TX_THIS_THREAD = 2027
| Transaction already started by current thread. More...
static const int | IGNITE_ERR_TX = 2028
| Generic transaction error. More...
static const int | IGNITE_ERR_UNKNOWN = -1
| Unknown error. More...

## Detailed Description

Ignite error information.

## Constructor & Destructor Documentation

## ◆ IgniteError() [1/4]

ignite::IgniteError::IgniteError | ( |  | ) |

Default constructor.

Creates empty error. Code is IGNITE_SUCCESS and message is NULL.

## ◆ IgniteError() [2/4]

ignite::IgniteError::IgniteError | ( | const int32_t | code | ) |

Create error with specific code.

Message is set to NULL.

Parameters

  code | Error code.

## ◆ IgniteError() [3/4]

ignite::IgniteError::IgniteError | ( | const int32_t | code,
|  | const char * | msg
| ) |  |

Create error with specific code and message.

Parameters

  code | Error code.
  msg | Message.

## ◆ IgniteError() [4/4]

ignite::IgniteError::IgniteError | ( | const IgniteError & | other | ) |

Copy constructor.

Parameters

  other | Other instance.

## Member Function Documentation

## ◆ GetCode()

int32_t ignite::IgniteError::GetCode | ( |  | ) | const

Get error code.

Returns
  Error code.

## ◆ GetText()

const char * ignite::IgniteError::GetText | ( |  | ) | const

Get error message.

Returns
  Error message. Can be NULL.

## ◆ operator=()

IgniteError & ignite::IgniteError::operator= | ( | const IgniteError & | other | ) |

Assignment operator.

Parameters

  other | Other instance.

Returns
  *this.

## ◆ SetError()

void ignite::IgniteError::SetError | ( | const int | jniCode,
|  | const char * | jniCls,
|  | const char * | jniMsg,
|  | IgniteError & | err
| ) |  |
| static

Initializes IgniteError instance from the JNI error.

Parameters

  jniCode | Error code.
  jniCls | Error class.
  jniMsg | Error message.
  err | Error. Can not be NULL.

## ◆ ThrowIfNeeded()

void ignite::IgniteError::ThrowIfNeeded | ( | const IgniteError & | err | ) |
| static

Throw an error if code is not IGNITE_SUCCESS.

Parameters

  err | Error.

## ◆ what()

const char * ignite::IgniteError::what | ( |  | ) | const
| virtual

Implementation of the standard std::exception::what() method.

Synonym for GetText() method.

Returns
  Error message string.

## Member Data Documentation

## ◆ IGNITE_ERR_AUTHENTICATION

const int ignite::IgniteError::IGNITE_ERR_AUTHENTICATION = 2022
| static

Authentication error.

## ◆ IGNITE_ERR_BINARY

const int ignite::IgniteError::IGNITE_ERR_BINARY = 1002
| static

Binary error.

## ◆ IGNITE_ERR_CACHE

const int ignite::IgniteError::IGNITE_ERR_CACHE = 2012
| static

Generic cache error.

## ◆ IGNITE_ERR_CACHE_ATOMIC_UPDATE_TIMEOUT

const int ignite::IgniteError::IGNITE_ERR_CACHE_ATOMIC_UPDATE_TIMEOUT = 2016
| static

Cache atomic update timeout.

## ◆ IGNITE_ERR_CACHE_LOADER

const int ignite::IgniteError::IGNITE_ERR_CACHE_LOADER = 2013
| static

Generic cache loader error.

## ◆ IGNITE_ERR_CACHE_PARTIAL_UPDATE

const int ignite::IgniteError::IGNITE_ERR_CACHE_PARTIAL_UPDATE = 2017
| static

Cache partial update.

## ◆ IGNITE_ERR_CACHE_WRITER

const int ignite::IgniteError::IGNITE_ERR_CACHE_WRITER = 2014
| static

Generic cache writer error.

## ◆ IGNITE_ERR_CLUSTER_GROUP_EMPTY

const int ignite::IgniteError::IGNITE_ERR_CLUSTER_GROUP_EMPTY = 2005
| static

Cluster group is empty.

## ◆ IGNITE_ERR_CLUSTER_TOPOLOGY

const int ignite::IgniteError::IGNITE_ERR_CLUSTER_TOPOLOGY = 2006
| static

Cluster topology problem.

## ◆ IGNITE_ERR_COMPUTE_EXECUTION_REJECTED

const int ignite::IgniteError::IGNITE_ERR_COMPUTE_EXECUTION_REJECTED = 2007
| static

Compute execution rejected.

## ◆ IGNITE_ERR_COMPUTE_JOB_FAILOVER

const int ignite::IgniteError::IGNITE_ERR_COMPUTE_JOB_FAILOVER = 2008
| static

Compute job failover.

## ◆ IGNITE_ERR_COMPUTE_TASK_CANCELLED

const int ignite::IgniteError::IGNITE_ERR_COMPUTE_TASK_CANCELLED = 2009
| static

Compute task cancelled.

## ◆ IGNITE_ERR_COMPUTE_TASK_TIMEOUT

const int ignite::IgniteError::IGNITE_ERR_COMPUTE_TASK_TIMEOUT = 2010
| static

Compute task timeout.

## ◆ IGNITE_ERR_COMPUTE_USER_UNDECLARED_EXCEPTION

const int ignite::IgniteError::IGNITE_ERR_COMPUTE_USER_UNDECLARED_EXCEPTION = 2011
| static

Compute user undeclared exception.

## ◆ IGNITE_ERR_ENTRY_PROCESSOR

const int ignite::IgniteError::IGNITE_ERR_ENTRY_PROCESSOR = 2015
| static

Generic cache entry processor error.

## ◆ IGNITE_ERR_FUTURE_STATE

const int ignite::IgniteError::IGNITE_ERR_FUTURE_STATE = 2024
| static

Future state error.

## ◆ IGNITE_ERR_GENERIC

const int ignite::IgniteError::IGNITE_ERR_GENERIC = 2000
| static

Generic Ignite error.

## ◆ IGNITE_ERR_ILLEGAL_ARGUMENT

const int ignite::IgniteError::IGNITE_ERR_ILLEGAL_ARGUMENT = 2001
| static

Illegal argument passed.

## ◆ IGNITE_ERR_ILLEGAL_STATE

const int ignite::IgniteError::IGNITE_ERR_ILLEGAL_STATE = 2002
| static

Illegal state.

## ◆ IGNITE_ERR_INTERRUPTED

const int ignite::IgniteError::IGNITE_ERR_INTERRUPTED = 2004
| static

Thread has been interrup.

## ◆ IGNITE_ERR_JVM_ATTACH

const int ignite::IgniteError::IGNITE_ERR_JVM_ATTACH = 2
| static

Failed to attach to JVM.

## ◆ IGNITE_ERR_JVM_INIT

const int ignite::IgniteError::IGNITE_ERR_JVM_INIT = 1
| static

Failed to initialize JVM.

## ◆ IGNITE_ERR_JVM_LIB_LOAD_FAILED

const int ignite::IgniteError::IGNITE_ERR_JVM_LIB_LOAD_FAILED = 4
| static

Failed to load JVM library.

## ◆ IGNITE_ERR_JVM_LIB_NOT_FOUND

const int ignite::IgniteError::IGNITE_ERR_JVM_LIB_NOT_FOUND = 3
| static

JVM library is not found.

## ◆ IGNITE_ERR_JVM_NO_CLASS_DEF_FOUND

const int ignite::IgniteError::IGNITE_ERR_JVM_NO_CLASS_DEF_FOUND = 6
| static

JVM error: no class definition found.

## ◆ IGNITE_ERR_JVM_NO_CLASSPATH

const int ignite::IgniteError::IGNITE_ERR_JVM_NO_CLASSPATH = 5
| static

JVM classpath is not provided.

## ◆ IGNITE_ERR_JVM_NO_SUCH_METHOD

const int ignite::IgniteError::IGNITE_ERR_JVM_NO_SUCH_METHOD = 7
| static

JVM error: no such method.

## ◆ IGNITE_ERR_MEMORY

const int ignite::IgniteError::IGNITE_ERR_MEMORY = 1001
| static

Memory operation error.

## ◆ IGNITE_ERR_NETWORK_FAILURE

const int ignite::IgniteError::IGNITE_ERR_NETWORK_FAILURE = 2025
| static

Networking error.

## ◆ IGNITE_ERR_SECURE_CONNECTION_FAILURE

const int ignite::IgniteError::IGNITE_ERR_SECURE_CONNECTION_FAILURE = 2026
| static

SSL/TLS error.

## ◆ IGNITE_ERR_SECURITY

const int ignite::IgniteError::IGNITE_ERR_SECURITY = 2023
| static

Security error.

## ◆ IGNITE_ERR_STD

const int ignite::IgniteError::IGNITE_ERR_STD = 1003
| static

Standard library exception.

## ◆ IGNITE_ERR_TX

const int ignite::IgniteError::IGNITE_ERR_TX = 2028
| static

Generic transaction error.

## ◆ IGNITE_ERR_TX_HEURISTIC

const int ignite::IgniteError::IGNITE_ERR_TX_HEURISTIC = 2021
| static

Transaction heuristic exception.

## ◆ IGNITE_ERR_TX_OPTIMISTIC

const int ignite::IgniteError::IGNITE_ERR_TX_OPTIMISTIC = 2018
| static

Transaction optimisitc exception.

## ◆ IGNITE_ERR_TX_ROLLBACK

const int ignite::IgniteError::IGNITE_ERR_TX_ROLLBACK = 2020
| static

Transaction rollback.

## ◆ IGNITE_ERR_TX_THIS_THREAD

const int ignite::IgniteError::IGNITE_ERR_TX_THIS_THREAD = 2027
| static

Transaction already started by current thread.

## ◆ IGNITE_ERR_TX_TIMEOUT

const int ignite::IgniteError::IGNITE_ERR_TX_TIMEOUT = 2019
| static

Transaction timeout.

## ◆ IGNITE_ERR_UNKNOWN

const int ignite::IgniteError::IGNITE_ERR_UNKNOWN = -1
| static

Unknown error.

## ◆ IGNITE_ERR_UNSUPPORTED_OPERATION

const int ignite::IgniteError::IGNITE_ERR_UNSUPPORTED_OPERATION = 2003
| static

Unsupported operation.

## ◆ IGNITE_SUCCESS

const int ignite::IgniteError::IGNITE_SUCCESS = 0
| static

Success.

The documentation for this class was generated from the following files:

- ignite_error.h
- ignite_error.cpp